
#include <Servo.h> 
Servo servoLeft; 
Servo servoRight; 

uint8_t pos = 10;
uint32_t duration, inchesL, cmL=0;
const uint8_t trigPinL = 10;//white
const uint8_t echoPinL = 11;//gray

const uint8_t trigPinR = 12;//white
const uint8_t echoPinR = 13;//gray
uint32_t inchesR, cmR=0;


uint8_t st=0;

void setup() 
{ 
  Serial.begin(9600);
  servoLeft.attach(4); 
  servoRight.attach(6); 
  servoLeft.write(pos);
  servoRight.write(90);
  //delay(1000);
 } 
 
 
void loop() 
{ 
 if (pos == 10)
 st = 0;
    
 if (pos == 180)
 st = 1;
    
    if (st==0)
    pos=pos+1;
    
    if (st==1)
    pos=pos-1;

  if (pos<=90) {      
  servoLeft.write(pos);
  dataL(); 
  Serial.print(pos); Serial.print( " ");  Serial.println(inchesL);
  delay(10);
  }

  if (pos>90) {      
  servoRight.write(pos);
  dataR(); 
  Serial.print(pos); Serial.print( " ");  Serial.println(inchesR);
  delay(10);
  }
  
  

  
}

void dataR()
{
  pinMode(trigPinR, OUTPUT);
  digitalWrite(trigPinR, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPinR, HIGH);
  delayMicroseconds(5);
  digitalWrite(trigPinR, LOW);
  //pinMode(trigPinR, INPUT);
  duration = pulseIn(echoPinR, HIGH);
  // convert the time  into a distance
  inchesR = microsecondsToinches(duration);
  cmR = microsecondsToCentimeters(duration);  
}





void dataL()
{
  pinMode(trigPinL, OUTPUT);
  digitalWrite(trigPinL, LOW);
  delayMicroseconds(2);
  digitalWrite(trigPinL, HIGH);
  delayMicroseconds(5);
  digitalWrite(trigPinL, LOW);
  //pinMode(trigPinL, INPUT);
  duration = pulseIn(echoPinL, HIGH);
  // convert the time into a distance
  inchesL = microsecondsToinches(duration);
  cmL = microsecondsToCentimeters(duration);  
}

uint32_t microsecondsToinches(uint32_t microseconds)
{
  return microseconds / 74.00 / 2.00;
}

uint32_t microsecondsToCentimeters(uint32_t microseconds)
{
  return microseconds / 29.00 / 2.00;
}



